#
# spec file for package supportutils-plugin-suse-openstack-cloud
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           supportutils-plugin-suse-openstack-cloud
Url:            https://github.com/SUSE-Cloud/supportutils-plugin-suse-openstack-cloud/
Version:        8.0.1551262227.7a7deb6
Release:        0
Source:         %{name}-%{version}.tar.gz
# to make check_if_valid_source_dir happy
Source1:        README
Summary:        Supportconfig Plugin for SUSE OpenStack Cloud
License:        GPL-2.0
Group:          Documentation/SuSE
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildArch:      noarch
BuildRequires:  supportconfig-plugin-resource
Requires:       supportconfig-plugin-resource
Requires:       supportconfig-plugin-tag

%description
Extends supportconfig functionality to include system information about
SUSE OpenStack Cloud. The supportconfig saves the plugin output to
plugin-suse-openstack-cloud.txt.

%prep
%setup -q

%build
for file in %{name}.spec %{name}.changes; do
    if ! [ -e $file ]; then
        cat <<EOF >&2
Error: $file was not found in
%{SOURCE0}

This means it was probably built from a manual invocation
of 'osc service disabledrun'.  Please re-build via 'make'
in order to ensure it meets NTS supportconfig plugin standards.
EOF
        exit 1
    fi
done

gzip -9f suse-openstack-cloud-plugin.8

%install
install -d %{buildroot}/usr/lib/supportconfig/{plugins,resources}
install -d %{buildroot}/usr/share/man/man8
install -m 0544 suse_openstack_cloud %{buildroot}/usr/lib/supportconfig/plugins
install -m 0644 suse-openstack-cloud-rpm-list %{buildroot}/usr/lib/supportconfig/resources
install -m 0644 suse-openstack-cloud-plugin.8.gz %{buildroot}/usr/share/man/man8/suse-openstack-cloud-plugin.8.gz

%files
%defattr(-,root,root)
%doc COPYING.GPLv2
/usr/lib/supportconfig/plugins
/usr/lib/supportconfig/plugins/suse_openstack_cloud
/usr/lib/supportconfig/resources/suse-openstack-cloud-rpm-list
/usr/share/man/man8/suse-openstack-cloud-plugin.8.gz

%changelog
